# DataExchange
TKSTEP
STEPSelections

# STEPSelections_SelectInstances Class Reference

`#include <STEPSelections_SelectInstances.hxx>`

Inheritance diagram for STEPSelections_SelectInstances:

[legend]

## Public Member Functions

Standard_EXPORT | STEPSelections_SelectInstances ()
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities. Works by calling the method Explore on each input entity : it can be rejected, taken for output, or to explore. If the maximum level has not yet been attained, or if no max level is specified, entities to be explored are themselves used as if they were input .
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const

Analyses and, if required, Explores an entity, as follows :
The explored list starts as empty, it has to be filled by this
method.
If it returns False, <ent> is rejected for result (this is to
be used only as safety)
If it returns True and <explored> remains empty, <ent> is
taken itself for result, not explored
If it returns True and <explored> is not empty, the content
of this list is considered :
If maximum level is attained, it is taken for result
Else (or no max), each of its entity will be itself explored
.

Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium : "Instances" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Standard_Boolean | HasUniqueResult () const
| Returns True if RootResult guarantees uniqueness for each Entity. Called by UniqueResult. Default answer is False. Can be redefined. .

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_SelectInstances::STEPSelections_SelectInstances | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean STEPSelections_SelectInstances::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString STEPSelections_SelectInstances::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const STEPSelections_SelectInstances::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

virtual Standard_EXPORT Standard_Boolean STEPSelections_SelectInstances::HasUniqueResult | ( |  | ) | const`[protected, virtual]`

| Reimplemented from IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator STEPSelections_SelectInstances::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Reimplemented from IFSelect_SelectExplore.

The documentation for this class was generated from the following file:

- STEPSelections_SelectInstances.hxx